summarylogtreecommitdiffstats
path: root/conservation_mode.sh
diff options
context:
space:
mode:
Diffstat (limited to 'conservation_mode.sh')
-rw-r--r--conservation_mode.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/conservation_mode.sh b/conservation_mode.sh
new file mode 100644
index 000000000000..cd7d0456acf1
--- /dev/null
+++ b/conservation_mode.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+if [ $EUID -ne 0 ]; then echo pls run with root user && exit 127; fi
+
+if [ $# -eq 0 ]; then /usr/bin/tee /sys/bus/platform/drivers/ideapad_acpi/VPC2004\:00/conservation_mode <<< 1 && exit 0; fi
+
+/usr/bin/tee /sys/bus/platform/drivers/ideapad_acpi/VPC2004\:00/conservation_mode <<< 0 \ No newline at end of file